Show / Hide Table of Contents

# Class RawDX11Scene

##### Inheritance

System.Object
RawDX11Scene

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public sealed class RawDX11Scene : IDisposable

### Constructors

| Improve this Doc View Source

#### RawDX11Scene(IntPtr)

##### Declaration

    public RawDX11Scene(IntPtr nativeSwapChain)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativeSwapChain |

| Improve this Doc View Source

#### RawDX11Scene(IntPtr, IntPtr)

##### Declaration

    public RawDX11Scene(IntPtr nativeDevice, IntPtr nativeSwapChain)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativeDevice |
System.IntPtr | nativeSwapChain |

### Fields

| Improve this Doc View Source

#### OnBuildUI

User methods invoked every ImGui frame to construct custom UIs.

##### Declaration

    public RawDX11Scene.BuildUIDelegate OnBuildUI

##### Field Value

Type | Description
--- | ---
RawDX11Scene.BuildUIDelegate |

| Improve this Doc View Source

#### OnNewInputFrame

##### Declaration

    public RawDX11Scene.NewInputFrameDelegate OnNewInputFrame

##### Field Value

Type | Description
--- | ---
RawDX11Scene.NewInputFrameDelegate |

| Improve this Doc View Source

#### OnNewRenderFrame

##### Declaration

    public RawDX11Scene.NewRenderFrameDelegate OnNewRenderFrame

##### Field Value

Type | Description
--- | ---
RawDX11Scene.NewRenderFrameDelegate |

### Properties

| Improve this Doc View Source

#### ImGuiIniPath

##### Declaration

    public string ImGuiIniPath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### CaptureScreenshot()

##### Declaration

    public byte[] CaptureScreenshot()

##### Returns

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### InvalidateFonts()

##### Declaration

    public void InvalidateFonts()

| Improve this Doc View Source

#### IsImGuiCursor(IntPtr)

##### Declaration

    public bool IsImGuiCursor(IntPtr hCursor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hCursor |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LoadImage(Byte[])

##### Declaration

    public TextureWrap LoadImage(byte[] imageBytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | imageBytes |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### LoadImage(String)

##### Declaration

    public TextureWrap LoadImage(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### LoadImageRaw(Byte[], Int32, Int32, Int32)

##### Declaration

    public TextureWrap LoadImageRaw(byte[] imageData, int width, int height, int numChannels = 4)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | imageData |
System.Int32 | width |
System.Int32 | height |
System.Int32 | numChannels |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### OnPostResize(Int32, Int32)

##### Declaration

    public void OnPostResize(int newWidth, int newHeight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | newWidth |
System.Int32 | newHeight |

| Improve this Doc View Source

#### OnPreResize()

##### Declaration

    public void OnPreResize()

| Improve this Doc View Source

#### Render()

##### Declaration

    public void Render()

### Implements

System.IDisposable